<template>
<div>
  <div class="m-auto w-4/8 py-12">
    <div class="text-center">
      <h1 class="text-5xl uppercase bold">
        Agregar medico
      </h1>
    </div>
  </div>
  <div class="flex justify-center pt-10">
    <form @submit.prevent="submit">
      <div class="block">
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="nombre" v-model="form.nombre" 
        placeholder="Su nombre..."/>
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="apellido" v-model="form.apellido"
        placeholder="Su apellido..."/>
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="especialidad" v-model="form.especialidad" 
        placeholder="Especialidad..."/>
        <button type="submit"
        class="bg-green-500 block shadow-5xl w-80 uppercase mb-5 p-2">Agregar</button>
      </div>
    </form>
  </div>
</div>
</template>

<script>
export default {
  data() {
    return {
      form: this.$inertia.form({
        nombre: null,
        apellido: null,
        especialidad: null,
      }),
    }
  },
  methods: {
    submit() {
      this.form.post(this.route('medicos.store'),
      this.form)
    },
  },
}
</script>